> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a payment initiation token

> Creates a single-use token that can be used to initiate a payment. Yorlet supports Payment Initiation using [Plaid](https://plaid.com/docs/payment-initiation/), you will need to launch the Payment Initiation flow in Plaid Link with the token returned by this endpoint.



## OpenAPI

````yaml openapi-payments.json POST /v1/payment_initiations/{id}/tokens
openapi: 3.1.0
info:
  title: Yorlet Payments API
  description: APIs for managing transactions, payment initiations, and external accounts.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/payment_initiations/{id}/tokens:
    post:
      tags:
        - Payment Initiations
      summary: Create a payment initiation token
      description: >-
        Creates a single-use token that can be used to initiate a payment.
        Yorlet supports Payment Initiation using
        [Plaid](https://plaid.com/docs/payment-initiation/), you will need to
        launch the Payment Initiation flow in Plaid Link with the token returned
        by this endpoint.
      operationId: payment_initiations_token
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                brand_name:
                  type: string
                  maxLength: 30
                  description: >-
                    The brand name to display to the user during payment
                    initiation.
      responses:
        '200':
          description: >-
            The single-use token object is returned upon success. Otherwise,
            this call returns an error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - payment_initiation.token
                  token:
                    type: string
                    description: >-
                      The token returned by the provider for the payment
                      initiation.
                  type:
                    type: string
                    enum:
                      - plaid
                    description: The type of provider that issued the token.
                required:
                  - created
                  - object
                  - token
                  - type
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````